Next Previous Contents

## 3.171 tgi_getdefpalette

> Function

>   Get the palette installed by default.

> Header

>   `tgi.h`

> Declaration

>   `const unsigned char* __fastcall__ tgi_getdefpalette (void);`

> Description

>   The tgi driver has a default palette that is active at startup. The named colors COLOR_BLACK, COLOR_WHITE, COLOR_RED... need this palette to work correctly.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   Other tgi functions

> Example

>   None.

Next Previous Contents